## org.apache.bcel.generic
Class DCMPL

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.DCMPL

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, StackConsumer, StackProducer, TypedInstruction

public class DCMPL
extends Instruction
implements TypedInstruction, StackProducer, StackConsumer

DCMPL - Compare doubles: value1 < value2

    Stack: ..., value1.word1, value1.word2, value2.word1, value2.word2 ->

..., result

Version:
  $Id: DCMPL.java,v 1.1.1.1 2001/10/29 20:00:09 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`DCMPL()`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### DCMPL

    public DCMPL()

Method Detail

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.DOUBLE

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.